library verilog;
use verilog.vl_types.all;
entity twiddle is
    generic(
        TDWIDTH         : integer := 16;
        LOGPTS          : integer := 5
    );
    port(
        A               : in     vl_logic_vector;
        T               : out    vl_logic_vector
    );
end twiddle;
